import type { _MXHistogram } from "./MXHistogram.js";
import type { _MXMetric } from "./MXMetric.js";
export declare class _MXAppResponsivenessMetric extends _MXMetric {
    static alloc(): _MXAppResponsivenessMetric;
    static new(): _MXAppResponsivenessMetric;
    init(): _MXAppResponsivenessMetric;
    /**
     * Histogrammed app hang time data. Applications are considered to be "hanging" when they are unable to handle user input responsively. The durations for periods of hangs will be reported in the histogram returned here. Application hang times that exceeds 9 seconds of wall clock time are reported in the final bucket of the histogram. Dimensioned as NSUnitDuration.
     */
    histogrammedApplicationHangTime(): _MXHistogram;
}
